<?php
    class GestorePosta {
        private $nomeMittente;
        private $emailMittente;
        private $intestazione;
        
        function __construct($nomeMittente, $emailMittente, $intestazione = "") {
            $this->nomeMittente = $nomeMittente;
            $this->emailMittente = $emailMittente;
            
            if($intestazione == "") {
                $this->intestazione = "MIME-Version: 1.0" . "\r\n";
                $this->intestazione .= "Content-type:text/html;charset=UTF-8" . "\r\n";
                $this->intestazione .= "From: {$this->nomeMittente} <{$this->emailMittente}>" . "\r\n";
            }
            else {
                $this->intestazione = $intestazione;
            }
        }
        
        function inviaEmail($email, $oggetto, $messaggio) {
            mail($email, $oggetto, $messaggio, $this->intestazione);
        }
    }